#include "stdafx.h"
#include <omp.h>
#include <iostream>
#include <Windows.h>
int main(int argc, char* argv[])
{
	int A[10], B[10], C[10], i, n;
	/* Заполним исходные массивы */
	for (i = 0; i<10; i++)
	{
		A[i] = i + 1; B[i] = 0; C[i] = 0;
		std::cout << A[i] << " ";
	}
	std::cout << std::endl;
	omp_set_num_threads(4);

#pragma omp parallel shared(A, B, C) private(i, n)
	{
		/* Получим номер текущей нити */
		n = omp_get_thread_num();
#pragma omp for
		for (i = 1; i <= 10; i++)
		{
			B[i - 1] = A[i - 1] * A[i];
			C[i] = C[i - 1] + B[i - 1];
			std::cout << B[i - 1] << std::endl << "Thread = " << n << std::endl << "SUMMA = " << C[i - 1] << std::endl;
		}
	}
	system("PAUSE");
	return 0;
}
